Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04621 Timing Minor Always Jan 20, 2012, 01:46 Jun 29, 2018, 05:06
Tester hap View Status Public Platform
Assigned To Kale Resolution Fixed OS
Status [?] Resolved Driver ironhors.cpp
Version 0.144u6 Fixed in Version 0.200 Build
Summary 04621: ironhors: 30fps framerate seems abnormal
Description 30fps framerate seems abnormal. Looking at the hardware description (MAME source), the game probably uses the same custom interrupt controller as gberet.

Refer to http://www.mametesters.org/view.php?id=3600 (and gberet.c) for more information.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems ironhors
Attached Files
 
Relationships
related to 03600Resolvedhap gberet: 30fps framerate seems abnormal 
Notes
8
User avatar
No.08055
Fujix
Administrator
Jan 20, 2012, 13:50
I found a PCB recording video at http://d.hatena.ne.jp/video/niconico/sm3842410
though it won't help to determine the frame rate, it is working quite faster.
And there are some color differences, but I'm not sure it is correct or not.
User avatar
No.08056
haynor666
Tester
Jan 20, 2012, 14:02
Proportions suggest that video is from emulator not physical PCB. Player uses whip very fast, it looks like autofire to me.
User avatar
No.08057
Fujix
Administrator
Jan 20, 2012, 14:34
There are many control boxes with analog autofire here.
Why do you think those proportions suggest it from an emulator? There are also many tools to convert analog RGB output to normal composite signal..

Anyway please ignore that video.
User avatar
No.08059
hap
Developer
Jan 20, 2012, 18:47
A video can't confirm this, it would need to be measured on the PCB.
User avatar
No.14508
Osso
Developer
Dec 9, 2017, 07:38
Measured by kold666:
main Xtal is 18.432mhz
Z80 runs at 3.072mhz
M6809E runs at 1.532mhz ( NOT 3.072mhz)
Vsync is 61hz
User avatar
No.14510
haynor666
Tester
Dec 9, 2017, 21:30
61 or 60,606060 ?

Please note that video You mentioned in source is probably from emulator.
User avatar
No.14511
Osso
Developer
Dec 10, 2017, 06:56
Measured 61.
H-Sync measured 15,56khz.
User avatar
No.14512
Osso
Developer
Dec 10, 2017, 10:44
Video reference from kold666: